'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = importPage;

require('../config/boot');

var _sentry = require('../config/sentry');

var _sentry2 = _interopRequireDefault(_sentry);

var _wikidotKit = require('../config/wikidot-kit');

var _wikidotKit2 = _interopRequireDefault(_wikidotKit);

var _db = require('../config/db');

var _db2 = _interopRequireDefault(_db);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function importPage(_ref) {
    var wiki = _ref.wiki,
        name = _ref.name;

    return _wikidotKit2.default.fetchPage({ wiki: wiki, name: name }).catch(function (error) {
        console.error('Error fetching page from Wikidot', error);
        _sentry2.default.captureException(error);
    }).then(function (data) {
        return _db2.default.query('\n                INSERT INTO pages (name, wiki, data) VALUES ($(name), $(wiki), $(data))\n                ON CONFLICT (name, wiki) DO UPDATE SET data = $(data);\n            ', { name: name, wiki: wiki, data: data });
    }).then(function () {
        console.log('[DONE] ' + wiki + '/' + name);
    }).catch(function (error) {
        console.error('Error saving page', error);
        _sentry2.default.captureException(error);
    });
}
//# sourceMappingURL=import-wikidot-page.js.map